CREATE TABLE ar_bpa_page_setups_tl (
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    PAGE_SETUP_ID            NUMBER(18, 0),
    LANGUAGE                 VARCHAR2(16) ,
    SOURCE_LANG              VARCHAR2(16)     NOT NULL,
    PAGE_SETUP_NAME          VARCHAR2(320)    NOT NULL,
    PAGE_SETUP_DESC          VARCHAR2(960),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    PAGE_SETUP_ID            NUMBER(18, 0),
    LANGUAGE                 VARCHAR2(16) ,
    SOURCE_LANG              VARCHAR2(16)     NOT NULL,
    PAGE_SETUP_NAME          VARCHAR2(320)    NOT NULL,
    PAGE_SETUP_DESC          VARCHAR2(960),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ar_bpa_page_setups_tl PRIMARY KEY (PAGE_SETUP_ID, LANGUAGE, PAGE_SETUP_ID, LANGUAGE)
);
